Bug 106726 - LTC4867-USB keyboard does not get initialized on boot
LTC4867-USB keyboard does not get initialized on boot
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: installer (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2003-10-09 17:59 EDT by IBM Bug Proxy
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-24 14:53:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2003-10-09 17:59:27 EDT
The following has be reported by IBM LTC:  
USB keyboard does not get initialized on boot
CONTACT PERSON: Aaron Bolding, 8-3510
Hardware Environment:  p655
Software Environment: RHEL AS 3 RC 3


Steps to Reproduce:
1.  perform network install making sure console is directed to tty0
2.  Installer appears on graphical display, but keyboard is inactive (num lock
doesn't even light up)

Actual Results:
Can't continue install.

Expected Results:
install using graphical console.

Additional Information:
The USB keyboard and mouse are recognized and configured by kudzu after the
machine is 
installed by other means.  Once the machine is installed the graphical console
works correctly.This sounds like it's a matter of RedHat not including the USB
drivers in the
default initrd, so they're not loaded and the keyboard is never detected.

I'll pass this along to Service to track with RedHat.Glen/Greg,
Please open RH beta problem and track.. Thanks
Comment 1 IBM Bug Proxy 2003-10-09 18:11:38 EDT
------ Additional Comments From gjlynx@us.ibm.com(prefers email via gjohnson@austin.ibm.com)  2003-09-10 18:05 -------
Comment 3 Bob Johnson 2003-10-10 09:13:28 EDT
Why is this being tested for the first time during an RC ?
Possible candidate for update at this point.
Comment 4 IBM Bug Proxy 2003-10-10 15:37:10 EDT
------ Additional Comments From atboldin@us.ibm.com  2003-10-10 15:34 -------
In response to your question, not many people have the USB cards or keyboards to find this sort of 
issue and not many machines are equipped to use them.  Specifically, the p655 was blocked from 
being installed correctly until both ibmsis and netboot issues were resolved.  Up to that point the 
machine had been tested by swapping in a harddrive and this problem was not seen because 
kudzu found and installed the USB drivers automatically under those circumstances.

On the other hand we presently have NO machines that require USB keyboard functionality to get 
installed.  Most machines that one might use such a console with will also be hooked up to an 
HMC that could be used to manage the install.  I just filed a bug so that people would be aware 
that this will be in issue if we start requireing USB keyboards in the future.  Under the 
circumstances, I think it will be perfectly adequate to look into this for the update. 
Comment 8 IBM Bug Proxy 2004-01-09 12:21:43 EST
------ Additional Comments From khoa@us.ibm.com  2004-01-09 12:08 -------
This was submitted to Red Hat for RHEL3 Update 2. 
Comment 9 Bob Johnson 2004-01-23 11:46:46 EST
We need hardware for this to be tested before we include it.
Comment 10 IBM Bug Proxy 2004-02-02 10:07:50 EST
----- Additional Comments From khoa@us.ibm.com  2004-02-01 17:01 -------
Here's the update from RH during telecon last week:
No USB keybord option on P655. RH can't test this. 
Comment 15 Jeremy Katz 2004-02-11 18:54:33 EST
Added USB stuff for JS20 enablement.  Verification that this works
from IBM during the testing period would be _extremely_ appreciated. 
And note that if it doesn't work, the lack of hardware means that I'm
likely to just pull the plug on it.
Comment 16 IBM Bug Proxy 2005-04-07 15:54:32 EDT

           What    |Removed                     |Added
             Status|REJECTED                    |CLOSED
             Impact|------                      |Installability

------- Additional Comments From atboldin@us.ibm.com  2005-04-07 15:50 EDT -------
This appears to have gotten fixed somewhere along the way since the USB keyboards 
on the POWER5 machines seem to work ok. 
Comment 17 Jeremy Katz 2006-04-24 14:53:23 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.